﻿using Syncfusion.Windows.Forms.Chart;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace PieChart
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            string[] label = new string[] { "Sales", "Expenditure", "Savings" };
            Color[] color = new Color[] { ColorTranslator.FromHtml("#01C219"), ColorTranslator.FromHtml("#8368A3"), ColorTranslator.FromHtml("#2282BF") };

            ChartSeries series = new ChartSeries("Cost Analysis", ChartSeriesType.Pie);
            series.Points.Add(1, 70);
            series.Points.Add(2, 8);
            series.Points.Add(3, 12);

            series.Styles[0].Interior = new Syncfusion.Drawing.BrushInfo(color[0]);
            series.Styles[1].Interior = new Syncfusion.Drawing.BrushInfo(color[1]);
            series.Styles[2].Interior = new Syncfusion.Drawing.BrushInfo(color[2]);

            series.Style.DisplayText = true;
            for (int i = 0; i < series.Points.Count; i++)
            {
                //Customizing text displayed on chart. Legend text will also change based on label text
                series.Styles[i].Text = label[i] + " " + series.Points[i].YValues[0] + " %";

                //Disabling strokes on border
                series.Styles[i].Border.Color = color[i];
            }
            series.SmartLabels = true;
            series.ConfigItems.PieItem.LabelStyle = ChartAccumulationLabelStyle.OutsideInArea;
            this.chartControl1.LegendsPlacement = ChartPlacement.Outside;

            this.chartControl1.Series.Add(series);
        }
    }
}
